# TODO: use gtk4-update-icon-cache
#
# Conditional build:
%bcond_without	apidocs		# API documentation

Summary:	GNOME binary editor
Summary(pl.UTF-8):	Edytor binarny dla GNOME
Name:		ghex
Version:	46.3
Release:	1
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	https://download.gnome.org/sources/ghex/46/%{name}-%{version}.tar.xz
# Source0-md5:	5431d5ee4cbc2d36eb4f000149a41ddc
Patch0:		%{name}-no-update.patch
URL:		https://wiki.gnome.org/Apps/Ghex
BuildRequires:	gettext-tools
%{?with_apidocs:BuildRequires:	gi-docgen}
BuildRequires:	glib2-devel >= 1:2.68.0
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk4-devel >= 4.4.0
BuildRequires:	libadwaita-devel >= 1.2
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.68.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.2
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GHex allows the user to load data from any file, view and edit it in
either hex or ascii. A must for anyone playing games that use
non-ascii format for saving.

%description -l pl.UTF-8
GHex pozwala użytkownikowi na wczytanie danych z dowolnego pliku,
przeglądanie i edycję ich w trybie szesnastkowym i ASCII. Obowiązkowe
narzędzie dla wszystkich graczy, których gry zapisują stan w formacie
innym niż tekstowy.

%package libs
Summary:	GtkHex library
Summary(pl.UTF-8):	Biblioteka GtkHex
Group:		X11/Libraries
Requires:	glib2 >= 1:2.68.0
Requires:	gtk4 >= 4.4.0

%description libs
GtkHex library.

%description libs -l pl.UTF-8
Biblioteka GtkHex.

%package devel
Summary:	Header files for GtkHex library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GtkHex
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.68.0
Requires:	gtk4-devel >= 4.4.0

%description devel
Header files for GtkHex library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GtkHex.

%package static
Summary:	GtkHex static library
Summary(pl.UTF-8):	Biblioteka statyczna GtkHex
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GtkHex static library.

%description static -l pl.UTF-8
Biblioteka statyczna GtkHex.

%package -n vala-gtkhex
Summary:	Vala API for GtkHex library
Summary(pl.UTF-8):	API języka Vala do biblioteki GtkHex
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-gtkhex
Vala API for GtkHex library.

%description -n vala-gtkhex -l pl.UTF-8
API języka Vala do biblioteki GtkHex.

%package apidocs
Summary:	API documentation for GtkHex library
Summary(pl.UTF-8):	Dokumentacja API biblioteki GtkHex
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for GtkHex library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GtkHex.

%prep
%setup -q
%patch -P0 -p1

%build
%meson \
	%{?with_apidocs:-Dgtk_doc=true} \
	-Dvapi=true

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/gtkhex-4.0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/ghex
%dir %{_libdir}/gtkhex-4.0
%attr(755,root,root) %{_libdir}/gtkhex-4.0/libhex-buffer-direct.so
%attr(755,root,root) %{_libdir}/gtkhex-4.0/libhex-buffer-mmap.so
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%{_datadir}/metainfo/org.gnome.GHex.appdata.xml
%{_desktopdir}/org.gnome.GHex.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.GHex.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.GHex.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.GHex-symbolic.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex-4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkhex-4.so.1
%{_libdir}/girepository-1.0/Hex-4.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex-4.so
%{_includedir}/gtkhex-4
%{_datadir}/gir-1.0/Hex-4.gir
%{_pkgconfigdir}/gtkhex-4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkhex-4.a

%files -n vala-gtkhex
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gtkhex-4.deps
%{_datadir}/vala/vapi/gtkhex-4.vapi

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/gtkhex-4.0
%endif
%changelog
* Wed Jul 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghex.git;a=log;h=master

* Wed Jul 02 2025 Jakub Bogusz <qboosh@pld-linux.org> a082c2d
- updated to 46.3

* Fri Mar 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 418b6dc
- updated to 46.2

* Fri Mar 14 2025 Jakub Bogusz <qboosh@pld-linux.org> f860733
- use patch -P

* Fri Nov 15 2024 Jakub Bogusz <qboosh@pld-linux.org> 70e1823
- updated to 46.1

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 6200657
- updated to 46.0

* Sat Dec 02 2023 Jakub Bogusz <qboosh@pld-linux.org> b7adc12
- updated to 45.1

* Fri Oct 13 2023 Jakub Bogusz <qboosh@pld-linux.org> bbea00c
- updated to 44.3

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> ce8bc42
- use _gidocdir for apidocs

* Fri Aug 18 2023 Jakub Bogusz <qboosh@pld-linux.org> f6d8bd2
- updated to 44.2

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 760081a
- updated to 44.1

* Wed May 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 6194f1b
- updated to 43.1

* Mon Jun 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 577a5c4
- updated to 42.3

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 28d4771
- updated to 42.2

* Mon Apr 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 7488dba
- updated to 42.1

* Mon Apr 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 5657a9e
- updated to 42.0
- dropped desktop patch
- added no-update patch not to require gtk4-update-icon-cache at build time

* Sun Dec 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 17c235a
- updated to 3.41.1

* Sat Sep 25 2021 Jakub Bogusz <qboosh@pld-linux.org> e9d645e
- updated to 3.41.0

* Wed Jul 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 2873486
- updated to 3.18.4
- updated desktop patch

* Fri Jan 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9dfd778
- Update to 3.18.3

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> e19885b
- updated to 3.18.0

